@echo off
if "%OS%"=="Windows_NT" goto MakeIso
if "%_CWD%"=="" buildcd\command.com /C %0
if not "%_CWD%"=="" goto MakeIso
pause bigtime error! Abort!
exit

:MakeIso
set isofile=fdbootcd.iso
cd..
title Creating cdrom imagefile %isofile% out of directory %CD%
cls
if "%OS%"=="Windows_NT" set basedir=%CD%
if not "%_CWD%"=="" set basedir=%_CWD%

if "%basedir%"=="C:\" goto error
if exist %basedir%nul set isofile=C:\%isofile%

rem we need to move 1 directory up, to store the ISO file. If this fails, store at C:\ ,
rem unless current directory was already C:\, in which case we can't store the ISO file
rem anywhere... but first add a (back?)slash to BASEDIR if necessary.
if not exist %basedir%nul set basedir=%basedir%\
cd..

set params=-l -N -R -r -boot-info-table -iso-level 4 -no-emul-boot -b isolinux/isolinux.bin
SET MKISOFSRC=%basedir%isolinux\buildcd\mkisofd.rc
if exist %basedir%isolinux\buildcd\mkisofs.exe set mkisoexe=%basedir%isolinux\buildcd\mkisofs.exe
if "%mkisoexe%"=="" for %%d in (%path%) do if exist %%d\mkisofs.exe set mkisoexe=%%d\mkisofs.exe
if "%mkisoexe%"=="" for %%d in (%path%) do if exist %%dmkisofs.exe set mkisoexe=%%dmkisofs.exe

rem above code allows for removal of both Freecom and mkisofs.exe from the cd, to make it smaller.
rem But then you better have these tools in your path.
echo Warning: if you get a hang or errormessage, please be sure that isolinux.bin
echo          is not read-only, and that the resulting ISO is not in use 
echo          (e.g. Daemon Tools), as it will be overwritten.
echo.
echo Creating cdrom imagefile %isofile% out of directory %CD%
%mkisoexe% -o %isofile% %params% %BASEDIR%
goto end

:error
echo Error: a place outside of the ISO9660 directory tree is needed to store the ISO file.
echo        please place all contents in another subdirectory.
goto end

:end
if "%OS%"=="Windows_NT" title Created cdrom imagefile %isofile% out of directory %CD%
pause